# https://artifacthub.io/packages/helm/external-secrets-operator/external-secrets
apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: external-secrets
spec:
  releaseName: external-secrets
  chart:
    spec:
      chart: external-secrets
      version: "0.5.1"
      sourceRef:
        kind: HelmRepository
        name: external-secrets
        namespace: flux-system
  interval: 30m
  install:
    crds: Create
    remediation:
      retries: 3
  upgrade:
    crds: CreateReplace
  values:
    installCRDs: true

    serviceAccount:
      annotations:
        eks.amazonaws.com/role-arn: "${external_secrets_role_arn}"

